Description

Sometimes you want to concatenate elements as a comma separated list. Or maybe you want to put the elements in different lines by
<br>.

The attached file implements this feature:

Shortest possible syntax:

<f:join each="{0: 'apple', 1: 'banana'}" by=" and " />

Typical syntax:

<f:join each="{0: 'apple', 1: 'banana'}" as="fruit" by=" and " >{fruit}</f:join><br>

Long syntax:

<f:join each="{0: 'apple', 1: 'banana'}" as="fruit">
 <f:item>{fruit}</f:item>
 <f:by> and </f:by>
</f:join>

The necessary "item" and "by" view helpers are similar to "then" and "else".

History
#1 - 2010-01-10 10:42 - Martin Kutschker

Perhaps an optional argument "lastBy" eases things even more:

<f:join each="{0: 'apple', 1: 'banana', 2: 'mango'}" by=", " lastBy=" and " />

Which would yield: "apple, banana and mango"

#2 - 2010-07-12 12:46 - Bastian Waidelich
- Tracker changed from Feature to Suggestion
- Project changed from TYPO3.Fluid to Fluid - ViewHelper - Incubator

#3 - 2010-07-12 13:16 - Bastian Waidelich
- Subject changed from an implode/join view helper for convenience to join

Files

2015-08-03 1/2



JoinViewHelper.php 4.5 kB 2010-01-10 Martin Kutschker

2015-08-03 2/2


